Altibase.jdbc.driver.datatype

## Class ColumnInfo

- java.lang.Object
- - Altibase.jdbc.driver.datatype.ColumnInfo

All Implemented Interfaces:
  java.lang.Cloneable

    public class ColumnInfo
    extends java.lang.Object
    implements java.lang.Cloneable

### Field Summary

Fields
`static byte` `IN_OUT_TARGET_TYPE_IN`
`static byte` `IN_OUT_TARGET_TYPE_INOUT`
`static byte` `IN_OUT_TARGET_TYPE_NONE`
`static byte` `IN_OUT_TARGET_TYPE_OUT`
`static byte` `IN_OUT_TARGET_TYPE_TARGET`
`static boolean` `NON_NULLABLE`
`static boolean` `NULLABLE`

### Constructor Summary

Constructors
Constructor and Description
`ColumnInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInType()`
`void` `addOutType()`
`java.lang.Object` `clone()`
`byte` `getArguments()`
`java.lang.String` `getBaseColumnName()`
`java.lang.String` `getBaseTableName()`
`java.lang.String` `getCatalogName()`
`java.lang.String` `getColumnName()`
`int` `getDataType()`
`java.lang.String` `getDisplayColumnName()`
`byte` `getInOutTargetType()`
`int` `getLanguage()`
`boolean` `getNullable()`
`java.lang.String` `getOwnerName()`
`int` `getPrecision()`
`int` `getScale()`
`java.lang.String` `getTableName()`
`boolean` `getUpdatable()`
`boolean` `hasInType()`
`boolean` `hasOutType()`
`boolean` `isChanged()`
`void` `makeDefaultValues()`
`void` `modifyColumnInfo(int aDataType, byte aArgs, int aPrecision, int aScale)`
`void` `modifyDataType(int aDataType)`
`void` `modifyInOutType(byte aInOutType)`
`void` `modifyPrecision(int aPrecision)`
`void` `modifyScale(int aNewScale)`
`void` `setColumnInfo(int aDataType, int aLang, byte aArgs, int aPrecision, int aScale, byte aInOutTargetType, boolean aNullable, boolean aUpdatable, java.lang.String aCatalogName, java.lang.String aTableName, java.lang.String aBaseTableName, java.lang.String aColName, java.lang.String aDisplayName, java.lang.String aBaseColumnName, java.lang.String aSchemaName, int aBytesPerChar)`
`void` `setColumnMetaInfos(int aDataType, int aPrecision)`
`void` `setShouldChangeType(boolean aShouldChangeType)`
`boolean` `shouldChangeType()`
`void` `unchange()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IN_OUT_TARGET_TYPE_NONE

    public static final byte IN_OUT_TARGET_TYPE_NONE

See Also:
  Constant Field Values

#### IN_OUT_TARGET_TYPE_IN

    public static final byte IN_OUT_TARGET_TYPE_IN

See Also:
  Constant Field Values

#### IN_OUT_TARGET_TYPE_INOUT

    public static final byte IN_OUT_TARGET_TYPE_INOUT

See Also:
  Constant Field Values

#### IN_OUT_TARGET_TYPE_OUT

    public static final byte IN_OUT_TARGET_TYPE_OUT

See Also:
  Constant Field Values

#### IN_OUT_TARGET_TYPE_TARGET

    public static final byte IN_OUT_TARGET_TYPE_TARGET

See Also:
  Constant Field Values

#### NON_NULLABLE

    public static final boolean NON_NULLABLE

See Also:
  Constant Field Values

#### NULLABLE

    public static final boolean NULLABLE

See Also:
  Constant Field Values

### Constructor Detail

#### ColumnInfo

    public ColumnInfo()

### Method Detail

#### setColumnInfo

    public void setColumnInfo(int aDataType,
                              int aLang,
                              byte aArgs,
                              int aPrecision,
                              int aScale,
                              byte aInOutTargetType,
                              boolean aNullable,
                              boolean aUpdatable,
                              java.lang.String aCatalogName,
                              java.lang.String aTableName,
                              java.lang.String aBaseTableName,
                              java.lang.String aColName,
                              java.lang.String aDisplayName,
                              java.lang.String aBaseColumnName,
                              java.lang.String aSchemaName,
                              int aBytesPerChar)

#### modifyColumnInfo

    public void modifyColumnInfo(int aDataType,
                                 byte aArgs,
                                 int aPrecision,
                                 int aScale)

#### unchange

    public void unchange()

#### modifyDataType

    public void modifyDataType(int aDataType)

#### modifyScale

    public void modifyScale(int aNewScale)

#### modifyPrecision

    public void modifyPrecision(int aPrecision)

#### isChanged

    public boolean isChanged()

#### getDataType

    public int getDataType()

#### getLanguage

    public int getLanguage()

#### getArguments

    public byte getArguments()

#### getPrecision

    public int getPrecision()

#### getScale

    public int getScale()

#### getInOutTargetType

    public byte getInOutTargetType()

#### getNullable

    public boolean getNullable()

#### getUpdatable

    public boolean getUpdatable()

#### getCatalogName

    public java.lang.String getCatalogName()

#### getTableName

    public java.lang.String getTableName()

#### getBaseTableName

    public java.lang.String getBaseTableName()

#### getColumnName

    public java.lang.String getColumnName()

#### getDisplayColumnName

    public java.lang.String getDisplayColumnName()

#### getBaseColumnName

    public java.lang.String getBaseColumnName()

#### getOwnerName

    public java.lang.String getOwnerName()

#### hasInType

    public boolean hasInType()

#### hasOutType

    public boolean hasOutType()

#### addInType

    public void addInType()

#### addOutType

    public void addOutType()

#### modifyInOutType

    public void modifyInOutType(byte aInOutType)

#### shouldChangeType

    public boolean shouldChangeType()

#### setShouldChangeType

    public void setShouldChangeType(boolean aShouldChangeType)

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`

#### makeDefaultValues

    public void makeDefaultValues()

#### setColumnMetaInfos

    public void setColumnMetaInfos(int aDataType,
                                   int aPrecision)